#
# spec file for package 7kaa
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# See also http://en.opensuse.org/openSUSE:Specfile_guidelines
Name:           7kaa
Version:        2.14.7
Release:        lp150.1.5
Summary:        Seven Kingdoms: Ancient Adversaries
License:        GPL-2.0
Group:          Amusements/Games/Strategy/Real Time
Url:            http://7kfans.com/
Source0:        https://github.com/the3dfxdude/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.xz
Source1:        %{name}.png
Source2:        %{name}.desktop
# PATCH-FIX-UPSTREAM - gcc6_char_cast.patch -- https://github.com/the3dfxdude/7kaa/issues/63
Patch0:         gcc6_char_cast.patch
BuildRequires:  curl-devel
BuildRequires:  enet-devel
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  openal-soft-devel
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(sdl2)
Recommends:     %{name}-music

%description
Seven Kingdoms made departures from the traditional real-time strategy models
of "gather resources, build a base and army, and attack". The economic model
bears more resemblance to a turn-based strategy game. It features an espionage
system that allows players to train and control spies individually, who each
have a spying skill that increases over time. The player is also responsible
for catching spies in their own kingdom. Inns built within the game allow
players to hire mercenaries of various occupations, skill levels, and races.
Skilled spies of enemy races are essential to a well-conducted espionage
program, and the player can bolster his forces by grabbing a skilled fighter
or give ones own factories, mines, and towers of science, a boost by hiring a
skilled professional.

Enlight Software decided to release the game to the Open Source community
in August 2009. At that time everything, but the music, was released under
the GPL v2.

%prep
%setup -q
%patch0 -p1

%build
export CXXFLAGS="%{optflags} -fno-strict-aliasing"
%configure --docdir=%{_docdir}/%{name}
make %{?_smp_mflags}

%install
%make_install

# install icon
install -Dm 0644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/%{name}.png

# install Desktop file
install -Dm 0644 %{SOURCE2} %{buildroot}%{_datadir}/applications/%{name}.desktop

%suse_update_desktop_file %{name}
%fdupes -s %{buildroot}%{_prefix}

%files
%doc COPYING README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}

%changelog
* Sat Nov  4 2017 aavindraa@gmail.com
- Update to 2.14.7
  * improving usability of the 7K multiplayer service at 7kfans.com
  * added NAT punch-through support when using 7kfans.com, which will
  make online play easier and more reliable.
  * Game balancing changes and fixes, making the game more challenging
  + The Fryhtans can attack more often.
  + Spies are more stealthy.
  + Greater being mana exploit has been fixed.
  + Harder to brutally capture towns.
- File under correct Group
- Lint .spec file
- Rebase gcc6_char_cast.patch
* Mon Sep  5 2016 nemysis@openSUSE.org
- Update to 2.14.6, announce message:
  * Added support for 7kfans.com match-making.
  * Added LAN game browsing support.
  * Added Mobilize Worker button on firms. (sraboy/Microvirus)
  * Improvements to mouse acceleration.
  * Fixes to mouse movement in fullscreen mode.
  * Fixed a bug with 64-bit multiplayer matches.
  * Begun translation work. (toaster)
  * Fix character encoding with accented characters. (MicroVirus)
  * Bugfixes…
- Remove obsolete patches 7kaa-2.14.5.patch and 7kaa-2.14.5_overflow.patch,
  changed by Upstream
- Add description for patch gcc6_char_cast.patch
- Remove check %%if 0%%{?suse_version}, because is only for openSUSE
* Thu Jun 16 2016 normand@linux.vnet.ibm.com
- new gcc6_char_cast.patch proposal for upstream issue
  https://github.com/the3dfxdude/7kaa/issues/63
* Tue Sep 29 2015 opensuse@dstoecker.de
- patch buffer overflow (7kaa-2.14.5_overflow.patch)
* Fri Sep 25 2015 nemysis@openSUSE.org
- Update to 2.14.5, announce message:
  * Switched to using SDL2.
  * Gained support for full-screen stretching.
  * Gained support for MacOS.
  * Switched to using enet, replacing SDL_net.
  * Audio code improvements.
  * The multiplayer connection code has stablized.
  * New game hotkeys.
  * Migrate population across extended town networks.
  * Added ability to migrate 10 people at a time across between towns.
  * Gettext translation support.
  * Several bug fixes.
- Add patch 7kaa-2.14.5.patch, - fix build
- Remove BuildRequires for desktop-file-utils
- Add BuildRequires, changed by Upstream for enet-devel and sdl2
- Remove BuildRequires, changed by Upstream for SDL_net and sdl
- Fix build with gcc5, add CXXFLAGS="%%{optflags} -fno-strict-aliasing"
* Fri Nov  7 2014 nemysis@gmx.ch
- Use for Recommends:%%{name}-music Recommends: instead of
  Requires:%%{name}-music, with dimstar help
* Tue Oct 14 2014 nemysis@gmx.ch
- Change Web URL
* Mon Oct 13 2014 nemysis@gmx.ch
- Binary file '7kaa-source-2.14.4.tar.bz2' has changed.
* Mon Oct 13 2014 nemysis@gmx.ch
- Change Source0 to use proper Web URL
- Use check for openSUSE %%if 0%%{?suse_version}
- Use for BuildRequires pkgconfig(SDL_net), pkgconfig(sdl)
  instead of libSDL_net-devel, SDL-devel
- Remove BuildRequires for pkgconfig
* Sat Oct  4 2014 nemysis@gmx.ch
- Change %%fdupes
* Mon Sep 29 2014 nemysis@gmx.ch
- Initial package creation
